Name: last-exit
Version: 4
Release: alt1

Summary: last.fm player
License: GPL
Group: Sound
Url: http://www.o-hand.com/~iain/last-exit/
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: %name-%version.tar

# Automatically added by buildreq on Wed Oct 18 2006
BuildRequires: GConf gcc-c++ gstreamer-devel libGConf-devel libdbus-glib-devel libgnome-sharp libgtk+2-devel libgtk-sharp2 mono-mcs mono-web perl-XML-Parser

BuildRequires: gst-plugins-devel libgtk-sharp2-devel
BuildRequires: libgnome-sharp-devel mono-devel
BuildRequires: /proc

Requires: mono libgtk-sharp2 libgnome-sharp
Requires(post): GConf
Requires: gnome-icon-theme


# find out versions of DllImport'ed libraries
BuildRequires(pre): libnotify libX11
%define libnotify_so %(rpm -ql libnotify | fgrep -m1 otify.so. | xargs basename)
%define libX11_so %(rpm -ql libX11 | fgrep -m1 libX11.so. | xargs basename)
%define libc_so %(rpm -ql glibc-core | fgrep -m1 libc.so | xargs basename)
%define libgdk_so %(rpm -ql libgtk+2 | fgrep -m1 gdk-x11-2.0 | xargs basename)
%ifarch x86_64
%define bits ()(64bit)
%else
%define bits %nil
%endif
Requires: %libnotify_so%bits %libX11_so%bits %libc_so%bits %libgdk_so%bits


%description
A free GTK-based Last.fm player.

%prep
%setup
sed -i '/DllImport/s/"notify"/"%libnotify_so"/' src/*.cs
sed -i '/DllImport/s/"libX11"/"%libX11_so"/' src/*.cs
sed -i '/DllImport/s/"libc"/"%libc_so"/' src/*.cs
sed -i '/DllImport/s/"gdk-x11-2.0"/"%libgdk_so"/' src/*.cs

%build
%configure --disable-schemas-install
%make

%install
%makeinstall

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files
%config %_sysconfdir/gconf/schemas/*
%_bindir/*
%_libdir/%name
%_datadir/applications/%name.desktop
%_iconsdir/hicolor/16x16
%_iconsdir/hicolor/22x22
%_iconsdir/hicolor/24x24
%_iconsdir/hicolor/32x32
%_iconsdir/hicolor/48x48
%_iconsdir/hicolor/scalable
%exclude %_iconsdir/hicolor/icon-theme.cache

%changelog
* Sun Jan 28 2007 Alex V. Myltsev <avm@altlinux.ru> 4-alt1
- New version.

* Thu Oct 12 2006 Alex V. Myltsev <avm@altlinux.ru> 3.0-alt1
- New version (bug fixes re locking, UI changes).
- Rebuilding should fix #10120 (insufficient dependencies).

* Thu Aug 10 2006 Alex V. Myltsev <avm@altlinux.ru> 2.0-alt1
- New version.

* Wed May 10 2006 Alex V. Myltsev <avm@altlinux.ru> 0.2-alt1
- Initial build for Sisyphus.

